Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.propertyMap
Class PropertyProviderAdapter

public class PropertyProviderAdapter
implements PropertyProvider

Default implementation of PropertyProvider. Allows to add/remove PropertyMap listener.

Author:
  TogetherSoft

Constructor Summary
`PropertyProviderAdapter(PropertyMap propertyMap, Object propertyKey)` Creates new PropertyProvider with propertyKey name of the only property and with propertyMap set of values.

Method Summary
`Property` | `addProperty(Object propertyValue)` Adds new value to this property.
`void` | `addPropertyMapListener(PropertyMapListener l)` Adds listener for PropertyMapEvent.
`boolean` | `canAddProperty(Object propertyValue)` Checks whether it is possible to add specified value.
`boolean` | `isReadable()` Checks whether it is possible to read values of this property.
`boolean` | `isWritable()` Checks whether it is possible to write values to this property.
`Enumeration` | `properties()` Returns Enumeration of values.
`void` | `removePropertyMapListener(PropertyMapListener l)` Removes listener for PropertyMapEvent.

Constructor Detail

### PropertyProviderAdapter

    public PropertyProviderAdapter(PropertyMap propertyMap, Object propertyKey)

  Creates new PropertyProvider with propertyKey name of the only property and with propertyMap set of values.
  Parameters:
    propertyMap - Property's values
    propertyKey - Name of this property

Method Detail

### addProperty

    public Property addProperty(Object propertyValue)

  Adds new value to this property.
  Parameters:
    propertyValue - Property value to be added
  Returns: Added value

### addPropertyMapListener

    public void addPropertyMapListener(PropertyMapListener l)

  Adds listener for PropertyMapEvent.
  Parameters:
    l - Listener to be added

### canAddProperty

    public boolean canAddProperty(Object propertyValue)

  Checks whether it is possible to add specified value.
  Parameters:
    propertyValue - Property value to be checked
  Returns: true if it is possible, false otherwise

### isReadable

    public boolean isReadable()

  Checks whether it is possible to read values of this property.
  Returns: true if it is possible, false otherwise

### isWritable

    public boolean isWritable()

  Checks whether it is possible to write values to this property.
  Returns: true if it is possible, false otherwise

### properties

    public Enumeration properties()

  Returns Enumeration of values.
  Returns: Enumeration of values

### removePropertyMapListener

    public void removePropertyMapListener(PropertyMapListener l)

  Removes listener for PropertyMapEvent.
  Parameters:
    l - Listener to be removed

Association Links

to Class com.togethersoft.openapi.util.propertyMap.PropertyMap

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD